Crypto-4.2.5: Collects together existing Haskell cryptographic functions into a package

Portability | portable
Stability | experimental
Maintainer | john@repetae.net (http://repetae.net/)
Safe Haskell | Safe-Inferred

Codec.Encryption.TEA

Description

Implementation of the TEA tiny encryption algorithm

# Documentation

data TEAKey Source

Constructors

TEAKey !Word32 !Word32 !Word32 !Word32 |

encrypt :: TEAKey -> Word64 -> Word64 Source

decrypt :: TEAKey -> Word64 -> Word64 Source